dvisvgm-2.12

dvisvgm の概要

The dvisvgm package converts DVI, EPS and PDF files to SVG format.

本パッケージは LFS-11.1 において正しくビルドでき動作することが確認されています。

パッケージ情報

dvisvgm の依存パッケージ

必須

Brotli-1.0.9, ghostscript-9.54.0, Potrace-1.16

推奨

任意

asciidoc-9.1.1 with xmlto-0.0.28 and libxslt-1.1.34 (see command explanations), dblatex (with the above) and xxHash (the current version is included in the tarball)

ユーザー情報: https://wiki.linuxfromscratch.org/blfs/wiki/dvisvgm

dvisvgm のインストール

To enable the build system to link to libkpathsea.so, as the root user create a symlink from /usr/lib:

ln -svf /opt/texlive/2021/lib/libkpathsea.so /usr/lib

The testsuite assumes that a modern version of Python has been installed as plain python. Changing this to use python3 requires a sed to one of Makefile.in files, but that gets regenerated when autoreconf is run, so the sed must come after that.

以下のコマンドを実行して dvisvgm をビルドします。

autoreconf -fiv                               &&
sed -i 's/python/&3/' tests/Makefile.in       &&
./configure                                    \
 --bindir=/opt/texlive/2021/bin/${TEXARCH}     \
 --mandir=/opt/texlive/2021/texmf-dist/doc/man \
 --with-kpathsea=/opt/texlive/2021            &&
make

To test the results, issue: make check.

Now, as the root user:

make install

コマンド説明

ln -svf /opt/texlive/2021/lib/libkpathsea.so /usr/lib: Without this, the program will not link correctly,

autoreconf -fiv: The versions of autoconf and automake used when this package was created are older than the current versions in LFS. That causes 'make' to fail when it reaches the 'tests' subdirectory unless autoreconf is forced to install missing (i.e. newer) auxiliary files.

--with-kpathsea=/opt/texlive/2021: This allows the build system to find the headers for kpathsea

パッケージ構成

インストールプログラム: dvisvgm
インストールライブラリ: なし
インストールディレクトリ: なし

概略説明

dvisvgm

converts DVI, EPS and PDF files to the SVG format

最終更新日: